#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define si short int
#define vi vector<ll>
#define vii vector<vi>
#define ul unsigned ll

int main(void)
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    /*
    ll n,a;
    cin>>n>>a;
    ll x[5]={0},y[5]={0};
    */
    cout<<"25 0"<<endl<<"25 0"<<endl<<"0 25"<<endl<<"25 13";
}